For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

Count study submissions by status

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/studies/:id/submissions/counts/
GET
/api/v1/studies/:id/submissions/counts/
$curl https://api.prolific.com/api/v1/studies/id/submissions/counts/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "ACTIVE": 12,
3 "APPROVED": 285,
4 "AWAITING REVIEW": 18,
5 "REJECTED": 5,
6 "RESERVED": 4,
7 "RETURNED": 1,
8 "TIMED-OUT": 7,
9 "PARTIALLY APPROVED": 3,
10 "SCREENED OUT": 6,
11 "TOTAL": 341
12}
Returns a count of the number of submissions per submission status in the study.
Was this page helpful?
Previous

List study submissions

Next

Download credential usage report

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Study id

Response

Count of number of submissions per submission status for a study
ACTIVEdouble
APPROVEDdouble
AWAITING REVIEWdouble
REJECTEDdouble
RESERVEDdouble
RETURNEDdouble
TIMED-OUTdouble
PARTIALLY APPROVEDdouble
SCREENED OUTdouble
TOTALdouble
The total number of submissions in the study.

Errors

4XX
Client Request Error